Package net.sourceforge.jiu.geometry

# Class BSplineFilter

java.lang.Object
net.sourceforge.jiu.geometry.ResampleFilter
net.sourceforge.jiu.geometry.BSplineFilter

public class BSplineFilter extends ResampleFilter
A B-spline resample filter.

Since:
  0.10.0
Author:
  Marco Schmidt
See Also:
  - `Resample`
  - `ResampleFilter`

## Constructor Summary

Constructors
Constructor
Description
`BSplineFilter()`

## Method Summary

Modifier and Type
Method
Description
`float`
`apply(float value)`
Returns the weight of the sample at the distance given by the argument value.
`String`
`getName()`
Return the name of this filter.
`float`
`getRecommendedSamplingRadius()`
Returns a recommendation for the sampling radius to be used with this filter.

### Methods inherited from class net.sourceforge.jiu.geometry.ResampleFilter

`getSamplingRadius, setSamplingRadius`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BSplineFilter

public BSplineFilter()

## Method Details

### apply

public float apply(float value)
Description copied from class: `ResampleFilter`
Returns the weight of the sample at the distance given by the argument value.

Specified by:
  `apply` in class `ResampleFilter`

### getName

public String getName()
Description copied from class: `ResampleFilter`
Return the name of this filter. Should avoid natural language words if possible.

Specified by:
  `getName` in class `ResampleFilter`
Returns:
  String with filter name

### getRecommendedSamplingRadius

public float getRecommendedSamplingRadius()
Description copied from class: `ResampleFilter`
Returns a recommendation for the sampling radius to be used with this filter. This recommendation value will be the default value for the sampling radius of objects of this class. You can modify it with a call to `ResampleFilter.setSamplingRadius(float)`.

Specified by:
  `getRecommendedSamplingRadius` in class `ResampleFilter`
Returns:
  the recommended sampling radius to be used with this filter